Aller au contenu

Visualisateurs, annotation

Volo View, AutoVUE, DWF Viewer, DWF Composer, DWG Viewer, Spinfire, eDrawings...etc


209 sujets dans ce forum

  1. Acrobat Reader 7 dispo

    • 3 réponses
    • 1,8 k vues
  2. La video DWF Composer et DWG Viewer

    • 4 réponses
    • 1,8 k vues
  3. Dwf Composer en démo flash

    • 3 réponses
    • 1,7 k vues
  4. Accrochage perpendiculaire DWF Composer

    • 1 réponse
    • 2,7 k vues
  5. Adobe se lance dans la CAO

    • 3 réponses
    • 3,1 k vues
  6. Imprimer des PDFs par paquets

    • 2 réponses
    • 2,9 k vues
  7. Rotation de PDFs

    • 0 réponse
    • 1,9 k vues
  8. Visualisateur DWG pour le Mac

    • 0 réponse
    • 2,6 k vues
  9. Dessinez avec MSN Messenger 7

    • 0 réponse
    • 2,3 k vues
  10. Exemple d\'annotations avec le DWF Composer

    • 0 réponse
    • 2,2 k vues
  11. Un bien étrange AutoCAD

    • 2 réponses
    • 3,2 k vues
  12. Service Pack 1 pour le DWF

    • 1 réponse
    • 2,6 k vues
  13. Bluebeam fera bientôt du DWF

    • 0 réponse
    • 2,2 k vues
  14. Nouvelle version DWF Viewer

    • 5 réponses
    • 3,3 k vues
  15. HOOPS Toolkits pour le DWF 3D

    • 0 réponse
    • 2,4 k vues
  16. DWF Composer offre promotionelle

    • 5 réponses
    • 2,9 k vues
  17. DWF Viewer 5 disponible

    • 7 réponses
    • 3,3 k vues
  18. Autoriser les DWF incorporés

    • 1 réponse
    • 2,7 k vues
  19. Problème install Adobe Reader et LT2005

    • 0 réponse
    • 1,9 k vues
  20. Express Viewer et Powerpoint

    • 0 réponse
    • 2,7 k vues
    • 0 réponse
    • 2,5 k vues
  21. DWF pour ADT

    • 1 réponse
    • 2,5 k vues
  22. DWF Viewer et Windows XP SP2

    • 1 réponse
    • 2,7 k vues
  23. DWF Composer gratuit pendant 30 jours

    • 1 réponse
    • 2,7 k vues
    • 4 réponses
    • 3,3 k vues


  • Statistiques des forums

    • Total des sujets
      47,3 k
    • Total des messages
      286,7 k
  • Sujets

  • Messages

    • Bonjour, Le sujet à déjà été traité mais je ne comprends pas. Voici mon dessin en pj. J’aimerais que l’un des attributs soit le résultat d’une formule. Voici les attributs et paramètres concernés : -          « PM-FZ » : Attribut ; valeur renseignée par l’utilisateur -          « PM-PFS Cote1 » : paramètre d’étirement éditable à l’aide des poignées -          « PM-PFS Cote2 » : paramètre d’étirement éditable à l’aide des poignées -          « PM-RA » : Attribut ; résultat La formule est la suivante : « PM-RA » = « PM-FZ »  *  « PM-PFS Cote2 » / ( « PM-PFS Cote1 » +  « PM-PFS Cote2 » )   Je rentre la formule en cliquant droit « ajouter un champ », lorsque je clique sur « Evaluer » la formule fonctionne. Mais après avoir valider la manip,  l’attribut  « PM-RA » affiche « #### »,  L’un d’entre vous pourrait-il me venir en aide ? J’aimerais bien comprendre comment procéder car ça me sera utile pour bien d’autres applications.   Cordialement. Andy. PM-PFS.dwg
    • @doud69, Petite question: As-tu un AutoCAD ou bien un AutoCAD LT ?! Si c'est bien un AutoCAD, la ligne de code proposée par @lecrabe et @didier fonctionne sans soucis... Si c'est AutoCAD LT, alors oublie la programmation LISP car ce n'est pas supporté par les versions LT. Avant même de partir sur une ligne de code, peux-tu nous dire si les propositions vanilla ci-dessous te conviennent et si non, pourquoi exactement ? 1. ] Commande SUPCALQUE 2. ] Commande FUSCALQUE 3. ] Commande SELECTRAP PS: Je n'ai toujours pas compris si cette demande est ponctuelle ou si tu as besoin de faire cette démarche régulièrement ? Car si tu as besoin de faire la démarche régulièrement, c'est bien par de la programmation (LISP, Script, VBA, ...) qu'il faudrait se tourner et auquel cas, il faudrait un peu plus de renseignements... Bisous, Luna
    • Comme j'ai dit, il faut que (getkword) soit associé à (initget) ^^" Donc c'est plus quelque chose comme chat (avec quelques modifications en plus évidemment pour prendre en compte les différences entre (getstring) et (getkword)) : (defun c:FOOo (/ str att lst suf break) (setq str "Coude_DN") ; (setq str (getstring T "\nRenseigner le préfixe : ")) (setq att (getvar "ATTDIA")) (setvar "ATTDIA" 0) (setq lst "15 20 25 32 40 50 65 80 100 125 150 200 250 300 350 400 450 500") (while (and (not break) (null (initget lst)) (or (setq suf (getkword (strcat "\nType de conduite DN [" (vl-string-translate " " "/" lst) "/Quitter] <100> : " str))) (setq suf "100") ) ) (if (= "Quitter" suf) (setq break T) (progn (command "_-INSERT" (strcat str suf) pause 1 1 pause) (while (= 1 (getvar "CMDACTIVE")) (command "")) ) ) ) (setvar "ATTDIA" att) (princ) ) PS: Je ne l'ai pas testé cependant donc à voir... Bisous, Luna
    • Bonjour @FRAXA Relancer un sujet si vieux n'est pas toujours une bonne idée. Les liens vers les images sont morts et on ne sait pas vraiment quel est le résultat à atteindre. Ni ce qu'on a comme entité au départ. Merci de commencer un nouveau sujet, ou de compléter celui-ci pour qu'on puisse s'y mettre. Amicalement
    • bon je suis arrive a modifie ton lisp 🥳 par contre j ai un soucis c'est quant il relance la demande , je valide ou choisi un autre diamètre il me dit donne incorrect 😟 (defun c:FOOo (/ att str suf)   (setq str "CPC_DN") ; (setq str (getstring T "\nRenseigner le préfixe : "))   (setq att (getvar "ATTDIA"))   (setvar "ATTDIA" 0)  (initget "032 040 100")       (while (/= "" (setq suf (getkword "\ndiametre DN [032/040/100]? <100>: ")))     (command "_-INSERT" (strcat str suf) pause 1 1 pause)     (while (= 1 (getvar "CMDACTIVE")) (command ""))     )   (setvar "ATTDIA" att)   (princ) )
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité